Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim.radio
Class CC1000Radio.MainRegister

    java.lang.Object
      avrora.sim.radio.CC1000Radio.RadioRegister
          avrora.sim.radio.CC1000Radio.MainRegister

Enclosing class:
  CC1000Radio

protected class CC1000Radio.MainRegister
extends CC1000Radio.RadioRegister

The main register on the CC1000.

Field Summary
`static int` | `BIAS_PD`
`static int` | `CORE_PD`
`static int` | `F_REG`
`static int` | `FS_PD`
`static int` | `RESET_N`
`static int` | `RX_PD`
`static int` | `RXTX`
`static int` | `TX_PD`

Fields inherited from class avrora.sim.radio.CC1000Radio.RadioRegister
`def, id, value`

Method Summary
`protected void` | `decode(byte val)`
`protected void` | `printStatus()`

Methods inherited from class avrora.sim.radio.CC1000Radio.RadioRegister
`reset, write, writeBit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RXTX

    public static final int RXTX

See Also:
  Constant Field Values

### F_REG

    public static final int F_REG

See Also:
  Constant Field Values

### RX_PD

    public static final int RX_PD

See Also:
  Constant Field Values

### TX_PD

    public static final int TX_PD

See Also:
  Constant Field Values

### FS_PD

    public static final int FS_PD

See Also:
  Constant Field Values

### CORE_PD

    public static final int CORE_PD

See Also:
  Constant Field Values

### BIAS_PD

    public static final int BIAS_PD

See Also:
  Constant Field Values

### RESET_N

    public static final int RESET_N

See Also:
  Constant Field Values

Method Detail

### decode

    protected void decode(byte val)

  Specified by:
    `decode` in class `CC1000Radio.RadioRegister`

### printStatus

    protected void printStatus()

  Overrides:
    `printStatus` in class `CC1000Radio.RadioRegister`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD